<?
   // 
   // This material contains IBM copyrighted sample programming source 
   // code DB2(R) UDB PHP Demo.  IBM grants you a nonexclusive copyright 
   // license to use the Sample Code as an example from which you can 
   // generate similar function tailored to your own specific needs.  
   // Your license to this Sample Code provides you no right or licenses 
   // to any IBM patents.
   // 
   // The Sample Code is provided by IBM for illustrative purposes 
   // only.  The Sample Code has not been thoroughly tested under 
   // all conditions.  IBM, therefore, does not  guarantee or imply 
   // its reliability, serviceability, or function.  IBM provides 
   // no program services for the Sample Code.
   //  
   // All Sample Code contained herein is provided to you "AS IS" without 
   // any warranties of any kind. THE IMPLIED WARRANTIES OF 
   // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
   // AND NON-INFRINGMENT ARE EXPRESSLY DISCLAIMED.  SOME 
   // JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED 
   // WARRANTIES, SO THE ABOVE EXCLUSIONS MAY NOT APPLY 
   // TO YOU.  IN NO EVENT WILL IBM BE LIABLE TO ANY PARTY 
   // FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER CONSEQUENTIAL 
   // DAMAGES FOR ANY USE OF THE SAMPLE CODE INCLUDING, 
   // WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS 
   // INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON 
   // YOUR INFORMATION HANDLING SYSTEM OR OTHERWISE, 
   // EVEN IF WE ARE EXPRESSLY ADVISED OF THE POSSIBILITY 
   // OF SUCH DAMAGES.
   // 
   // (C) Copyright IBM CORP. 2001
   // All rights reserved.
   // US Government Users Restricted Rights -
   // Use, duplication or disclosure restricted
   // by GSA ADP Schedule Contract with IBM Corp.
   // Licensed Material - Property of IBM	

   //////////////////////////////////////////////////////////////
   // iSeries Linux DB2/PHP/ODBC Demo
   // Written by Dave Boutcher (boutcher@us.ibm.com)
   //////////////////////////////////////////////////////////////
   // This PHP script displays the list of employees
   //////////////////////////////////////////////////////////////

   // Set the page title, check that the session is good, and include
   // the standard page header
   $title="Departments";
   include("checkauth.inc");
   include("html_mainhdr.inc");

   // Run the query for the list of departments
   $query = "select deptno, deptname, mgrno, lastname,firstnme ".
            "from department, employee where mgrno = empno ";
   $cur=odbc_exec($db,$query);
   echo "<table align=center>";
   echo "<tr><th>Name</th><th>Manager</th></tr>";

   // Loop through the departments returnd
   while(odbc_fetch_row($cur)){
      $deptno=odbc_result($cur,1);
      $deptname=odbc_result($cur,2);
      $mgrno=odbc_result($cur,3);
      $lastname=odbc_result($cur,4);
      $firstnme=odbc_result($cur,5);
      echo "<tr><td><a href=\"deptinfo.php?deptno=$deptno\">$deptname</a></td>";
      echo "<td><a href=\"empinfo.php?empno=$mgrno\">$lastname, $firstnme</a></td></tr>";
     }
   echo "</table>";

   // Finally, output the bar at the bottom of the page
   include("html_mainftr.inc"); 
?>
